Bug 1076797 - python-4Suite-XML bundles expat
python-4Suite-XML bundles expat
Status: NEW
Product: Fedora
Classification: Fedora
Component: python-4Suite-XML (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2014-03-15 04:56 EDT by Ville Skyttä
Modified: 2016-07-19 10:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 07:08:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2014-03-15 04:56:55 EDT
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
https://fedoraproject.org/wiki/Packaging:Treatment_Of_Bundled_Libraries

python-4Suite-XML bundles a copy of expat, more info in the links above.

$ rpm -qlp http://kojipkgs.fedoraproject.org//packages/python-4Suite-XML/1.0.2/18.fc21/x86_64/python-4Suite-XML-debuginfo-1.0.2-18.fc21.x86_64.rpm | grep src/expat
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat/lib
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat/lib/expat.h
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat/lib/expat_external.h
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat/lib/internal.h
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat/lib/nametab.h
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat/lib/xmlparse.c
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat/lib/xmlrole.c
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat/lib/xmlrole.h
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat/lib/xmltok.c
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat/lib/xmltok.h
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat/lib/xmltok_impl.c
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat/lib/xmltok_impl.h
/usr/src/debug/4Suite-XML-1.0.2/Ft/Xml/src/expat/lib/xmltok_ns.c
Comment 1 Miloslav Trmač 2014-03-15 06:07:01 EDT
Yes, and with non-trivial modifications.

Honestly all of 4Suite-XML should be dropped, upstream has been dead for years.  But there are still two users in the distribution...
Comment 2 Ville Skyttä 2014-03-15 06:46:27 EDT
There are standard procedures what should be done in situations like this:

https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Exceptions
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Requirement_if_you_bundle
Comment 3 Jaroslav Reznik 2015-03-03 10:34:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 07:08:23 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Ville Skyttä 2016-07-19 10:48:22 EDT
$ repoquery --repoid=rawhide-debuginfo -l python-4Suite-XML-debuginfo 2>/dev/null | grep expat

Note You need to log in before you can comment on or make changes to this bug.